<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
<link rel="STYLESHEET" href="mailman-install.css" type='text/css' />
<link rel="first" href="mailman-install.html" title='GNU mailman - installation Manual' />
<link rel='last' href='about.html' title='About this document...' />
<link rel='help' href='about.html' title='About this document...' />
<link rel="next" href="node34.html" />
<link rel="prev" href="node32.html" />
<link rel="parent" href="node31.html" />
<link rel="next" href="node34.html" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name='aesop' content='information' />
<title>6.3.2 Integrating Sendmail and Mailman</title>
</head>
<body>
<div class="navigation">
<div id='top-navigation-panel' xml:id='top-navigation-panel'>
<table align="center" width="100%" cellpadding="0" cellspacing="2">
<tr>
<td class='online-navigation'><a rel="prev" title="6.3.1 sendmail ``smrsh'' compatibility"
  href="node32.html"><img src='previous.png'
  border='0' height='32'  alt='Previous Page' width='32' /></a></td>
<td class='online-navigation'><a rel="parent" title="6.3 using the Sendmail"
  href="node31.html"><img src='up.png'
  border='0' height='32'  alt='Up one Level' width='32' /></a></td>
<td class='online-navigation'><a rel="next" title="6.3.3 performance notes"
  href="node34.html"><img src='next.png'
  border='0' height='32'  alt='Next Page' width='32' /></a></td>
<td align="center" width="100%">GNU Mailman - Installation Manual</td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
</tr></table>
<div class='online-navigation'>
<b class="navlabel">Previous:</b>
<a class="sectref" rel="prev" href="node32.html">6.3.1 Sendmail ``smrsh'' compatibility</a>
<b class="navlabel">Up:</b>
<a class="sectref" rel="parent" href="node31.html">6.3 Using the Sendmail</a>
<b class="navlabel">Next:</b>
<a class="sectref" rel="next" href="node34.html">6.3.3 Performance notes</a>
</div>
<hr /></div>
</div>
<!--End of Navigation Panel-->

<h3><a name="SECTION001632000000000000000">
6.3.2 Integrating Sendmail and Mailman</a>
</h3>

<p>
David Champion has contributed a recipe for more closely integrating Sendmail
and Mailman, such that Sendmail will automatically recognize and deliver to
new mailing lists as they are created, without having to manually edit alias
tables.

<p>
In the <span class="file">contrib</span> directory of Mailman's source distribution, you will
find four files:

<p>

<ul>
<li><span class="file">mm-handler.readme</span> - an explanation of how to set everything up
</li>
<li><span class="file">mm-handler</span>        - the mail delivery agent (MDA)
</li>
<li><span class="file">mailman.mc</span>        - a toy configuration file sample
</li>
<li><span class="file">virtusertable</span>     - a sample for RFC 2142 address exceptions
</li>
</ul>

<p>

<div class="navigation">
<div class='online-navigation'>
<p></p><hr />
<table align="center" width="100%" cellpadding="0" cellspacing="2">
<tr>
<td class='online-navigation'><a rel="prev" title="6.3.1 sendmail ``smrsh'' compatibility"
  href="node32.html"><img src='previous.png'
  border='0' height='32'  alt='Previous Page' width='32' /></a></td>
<td class='online-navigation'><a rel="parent" title="6.3 using the Sendmail"
  href="node31.html"><img src='up.png'
  border='0' height='32'  alt='Up one Level' width='32' /></a></td>
<td class='online-navigation'><a rel="next" title="6.3.3 performance notes"
  href="node34.html"><img src='next.png'
  border='0' height='32'  alt='Next Page' width='32' /></a></td>
<td align="center" width="100%">GNU Mailman - Installation Manual</td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
</tr></table>
<div class='online-navigation'>
<b class="navlabel">Previous:</b>
<a class="sectref" rel="prev" href="node32.html">6.3.1 Sendmail ``smrsh'' compatibility</a>
<b class="navlabel">Up:</b>
<a class="sectref" rel="parent" href="node31.html">6.3 Using the Sendmail</a>
<b class="navlabel">Next:</b>
<a class="sectref" rel="next" href="node34.html">6.3.3 Performance notes</a>
</div>
</div>
<hr />
<span class="release-info">Release 2.1, documentation updated on August 26, 2016.</span>
</div>
<!--End of Navigation Panel-->

</body>
</html>
